import { ATN, CharStream, DFA, Lexer } from "antlr4";
export default class CypherCmdLexer extends Lexer {
    static readonly PARAM = 1;
    static readonly CLEAR = 2;
    static readonly HISTORY = 3;
    static readonly EXPLAIN = 4;
    static readonly PROFILE = 5;
    static readonly SPACE = 6;
    static readonly SINGLE_LINE_COMMENT = 7;
    static readonly MULTI_LINE_COMMENT = 8;
    static readonly DECIMAL_DOUBLE = 9;
    static readonly UNSIGNED_DECIMAL_INTEGER = 10;
    static readonly UNSIGNED_HEX_INTEGER = 11;
    static readonly UNSIGNED_OCTAL_INTEGER = 12;
    static readonly STRING_LITERAL1 = 13;
    static readonly STRING_LITERAL2 = 14;
    static readonly ESCAPED_SYMBOLIC_NAME = 15;
    static readonly ACCESS = 16;
    static readonly ACTIVE = 17;
    static readonly ADMIN = 18;
    static readonly ADMINISTRATOR = 19;
    static readonly ALIAS = 20;
    static readonly ALIASES = 21;
    static readonly ALL_SHORTEST_PATHS = 22;
    static readonly ALL = 23;
    static readonly ALTER = 24;
    static readonly AND = 25;
    static readonly ANY = 26;
    static readonly ARRAY = 27;
    static readonly AS = 28;
    static readonly ASC = 29;
    static readonly ASCENDING = 30;
    static readonly ASSERT = 31;
    static readonly ASSIGN = 32;
    static readonly AT = 33;
    static readonly BAR = 34;
    static readonly BINDINGS = 35;
    static readonly BOOL = 36;
    static readonly BOOLEAN = 37;
    static readonly BOOSTED = 38;
    static readonly BOTH = 39;
    static readonly BREAK = 40;
    static readonly BRIEF = 41;
    static readonly BTREE = 42;
    static readonly BUILT = 43;
    static readonly BY = 44;
    static readonly CALL = 45;
    static readonly CASE = 46;
    static readonly CHANGE = 47;
    static readonly CIDR = 48;
    static readonly COLLECT = 49;
    static readonly COLON = 50;
    static readonly COLONCOLON = 51;
    static readonly COMMA = 52;
    static readonly COMMAND = 53;
    static readonly COMMANDS = 54;
    static readonly COMMIT = 55;
    static readonly COMPOSITE = 56;
    static readonly CONCURRENT = 57;
    static readonly CONSTRAINT = 58;
    static readonly CONSTRAINTS = 59;
    static readonly CONTAINS = 60;
    static readonly COPY = 61;
    static readonly CONTINUE = 62;
    static readonly COUNT = 63;
    static readonly CREATE = 64;
    static readonly CSV = 65;
    static readonly CURRENT = 66;
    static readonly DATA = 67;
    static readonly DATABASE = 68;
    static readonly DATABASES = 69;
    static readonly DATE = 70;
    static readonly DATETIME = 71;
    static readonly DBMS = 72;
    static readonly DEALLOCATE = 73;
    static readonly DEFAULT = 74;
    static readonly DEFINED = 75;
    static readonly DELETE = 76;
    static readonly DENY = 77;
    static readonly DESC = 78;
    static readonly DESCENDING = 79;
    static readonly DESTROY = 80;
    static readonly DETACH = 81;
    static readonly DIFFERENT = 82;
    static readonly DOLLAR = 83;
    static readonly DISTINCT = 84;
    static readonly DIVIDE = 85;
    static readonly DOT = 86;
    static readonly DOTDOT = 87;
    static readonly DOUBLEBAR = 88;
    static readonly DRIVER = 89;
    static readonly DROP = 90;
    static readonly DRYRUN = 91;
    static readonly DUMP = 92;
    static readonly DURATION = 93;
    static readonly EACH = 94;
    static readonly EDGE = 95;
    static readonly ENABLE = 96;
    static readonly ELEMENT = 97;
    static readonly ELEMENTS = 98;
    static readonly ELSE = 99;
    static readonly ENCRYPTED = 100;
    static readonly END = 101;
    static readonly ENDS = 102;
    static readonly EQ = 103;
    static readonly EXECUTABLE = 104;
    static readonly EXECUTE = 105;
    static readonly EXIST = 106;
    static readonly EXISTENCE = 107;
    static readonly EXISTS = 108;
    static readonly ERROR = 109;
    static readonly FAIL = 110;
    static readonly FALSE = 111;
    static readonly FIELDTERMINATOR = 112;
    static readonly FINISH = 113;
    static readonly FLOAT = 114;
    static readonly FOR = 115;
    static readonly FOREACH = 116;
    static readonly FROM = 117;
    static readonly FULLTEXT = 118;
    static readonly FUNCTION = 119;
    static readonly FUNCTIONS = 120;
    static readonly GE = 121;
    static readonly GRANT = 122;
    static readonly GRAPH = 123;
    static readonly GRAPHS = 124;
    static readonly GROUP = 125;
    static readonly GROUPS = 126;
    static readonly GT = 127;
    static readonly HEADERS = 128;
    static readonly HOME = 129;
    static readonly IF = 130;
    static readonly IMPERSONATE = 131;
    static readonly IMMUTABLE = 132;
    static readonly IN = 133;
    static readonly INDEX = 134;
    static readonly INDEXES = 135;
    static readonly INF = 136;
    static readonly INFINITY = 137;
    static readonly INSERT = 138;
    static readonly INT = 139;
    static readonly INTEGER = 140;
    static readonly IS = 141;
    static readonly JOIN = 142;
    static readonly KEY = 143;
    static readonly LABEL = 144;
    static readonly LABELS = 145;
    static readonly AMPERSAND = 146;
    static readonly EXCLAMATION_MARK = 147;
    static readonly LBRACKET = 148;
    static readonly LCURLY = 149;
    static readonly LE = 150;
    static readonly LEADING = 151;
    static readonly LIMITROWS = 152;
    static readonly LIST = 153;
    static readonly LOAD = 154;
    static readonly LOCAL = 155;
    static readonly LOOKUP = 156;
    static readonly LPAREN = 157;
    static readonly LT = 158;
    static readonly MANAGEMENT = 159;
    static readonly MAP = 160;
    static readonly MATCH = 161;
    static readonly MERGE = 162;
    static readonly MINUS = 163;
    static readonly PERCENT = 164;
    static readonly INVALID_NEQ = 165;
    static readonly NEQ = 166;
    static readonly NAME = 167;
    static readonly NAMES = 168;
    static readonly NAN = 169;
    static readonly NFC = 170;
    static readonly NFD = 171;
    static readonly NFKC = 172;
    static readonly NFKD = 173;
    static readonly NEW = 174;
    static readonly NODE = 175;
    static readonly NODETACH = 176;
    static readonly NODES = 177;
    static readonly NONE = 178;
    static readonly NORMALIZE = 179;
    static readonly NORMALIZED = 180;
    static readonly NOT = 181;
    static readonly NOTHING = 182;
    static readonly NOWAIT = 183;
    static readonly NULL = 184;
    static readonly OF = 185;
    static readonly ON = 186;
    static readonly ONLY = 187;
    static readonly OPTIONAL = 188;
    static readonly OPTIONS = 189;
    static readonly OPTION = 190;
    static readonly OR = 191;
    static readonly ORDER = 192;
    static readonly OUTPUT = 193;
    static readonly PASSWORD = 194;
    static readonly PASSWORDS = 195;
    static readonly PATH = 196;
    static readonly PATHS = 197;
    static readonly PERIODIC = 198;
    static readonly PLAINTEXT = 199;
    static readonly PLUS = 200;
    static readonly PLUSEQUAL = 201;
    static readonly POINT = 202;
    static readonly POPULATED = 203;
    static readonly POW = 204;
    static readonly PRIMARY = 205;
    static readonly PRIMARIES = 206;
    static readonly PRIVILEGE = 207;
    static readonly PRIVILEGES = 208;
    static readonly PROCEDURE = 209;
    static readonly PROCEDURES = 210;
    static readonly PROPERTIES = 211;
    static readonly PROPERTY = 212;
    static readonly QUESTION = 213;
    static readonly RANGE = 214;
    static readonly RBRACKET = 215;
    static readonly RCURLY = 216;
    static readonly READ = 217;
    static readonly REALLOCATE = 218;
    static readonly REDUCE = 219;
    static readonly RENAME = 220;
    static readonly REGEQ = 221;
    static readonly REL = 222;
    static readonly RELATIONSHIP = 223;
    static readonly RELATIONSHIPS = 224;
    static readonly REMOVE = 225;
    static readonly REPEATABLE = 226;
    static readonly REPLACE = 227;
    static readonly REPORT = 228;
    static readonly REQUIRE = 229;
    static readonly REQUIRED = 230;
    static readonly RETURN = 231;
    static readonly REVOKE = 232;
    static readonly ROLE = 233;
    static readonly ROLES = 234;
    static readonly ROW = 235;
    static readonly ROWS = 236;
    static readonly RPAREN = 237;
    static readonly SCAN = 238;
    static readonly SEC = 239;
    static readonly SECOND = 240;
    static readonly SECONDARY = 241;
    static readonly SECONDARIES = 242;
    static readonly SECONDS = 243;
    static readonly SEEK = 244;
    static readonly SEMICOLON = 245;
    static readonly SERVER = 246;
    static readonly SERVERS = 247;
    static readonly SET = 248;
    static readonly SETTING = 249;
    static readonly SETTINGS = 250;
    static readonly SHORTEST_PATH = 251;
    static readonly SHORTEST = 252;
    static readonly SHOW = 253;
    static readonly SIGNED = 254;
    static readonly SINGLE = 255;
    static readonly SKIPROWS = 256;
    static readonly START = 257;
    static readonly STARTS = 258;
    static readonly STATUS = 259;
    static readonly STOP = 260;
    static readonly STRING = 261;
    static readonly SUPPORTED = 262;
    static readonly SUSPENDED = 263;
    static readonly TARGET = 264;
    static readonly TERMINATE = 265;
    static readonly TEXT = 266;
    static readonly THEN = 267;
    static readonly TIME = 268;
    static readonly TIMES = 269;
    static readonly TIMESTAMP = 270;
    static readonly TIMEZONE = 271;
    static readonly TO = 272;
    static readonly TOPOLOGY = 273;
    static readonly TRAILING = 274;
    static readonly TRANSACTION = 275;
    static readonly TRANSACTIONS = 276;
    static readonly TRAVERSE = 277;
    static readonly TRIM = 278;
    static readonly TRUE = 279;
    static readonly TYPE = 280;
    static readonly TYPED = 281;
    static readonly TYPES = 282;
    static readonly UNION = 283;
    static readonly UNIQUE = 284;
    static readonly UNIQUENESS = 285;
    static readonly UNWIND = 286;
    static readonly URL = 287;
    static readonly USE = 288;
    static readonly USER = 289;
    static readonly USERS = 290;
    static readonly USING = 291;
    static readonly VALUE = 292;
    static readonly VARCHAR = 293;
    static readonly VECTOR = 294;
    static readonly VERBOSE = 295;
    static readonly VERTEX = 296;
    static readonly WAIT = 297;
    static readonly WHEN = 298;
    static readonly WHERE = 299;
    static readonly WITH = 300;
    static readonly WITHOUT = 301;
    static readonly WRITE = 302;
    static readonly XOR = 303;
    static readonly YIELD = 304;
    static readonly ZONED = 305;
    static readonly IDENTIFIER = 306;
    static readonly ARROW_LINE = 307;
    static readonly ARROW_LEFT_HEAD = 308;
    static readonly ARROW_RIGHT_HEAD = 309;
    static readonly ErrorChar = 310;
    static readonly EOF: number;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
