import { DiagnosticSeverity } from 'vscode-languageserver-types';
import { DbSchema } from '../dbSchema';
export interface SemanticAnalysisResult {
    errors: SemanticAnalysisElement[];
    notifications: SemanticAnalysisElement[];
}
export interface SemanticAnalysisElement {
    severity: DiagnosticSeverity;
    message: string;
    position: {
        offset: number;
        line: number;
        column: number;
    };
}
export declare function wrappedSemanticAnalysis(query: string, dbSchema: DbSchema): SemanticAnalysisResult;
